Bug 26094 - "Suggest for Purchase" button missing unique CSS class
Summary: "Suggest for Purchase" button missing unique CSS class
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-29 18:12 UTC by hannah.co
Modified: 2020-08-16 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26094: Add class to the "Suggest for purchase" button (1.59 KB, patch)
2020-07-30 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26094: Add class to the "Suggest for purchase" button (1.66 KB, patch)
2020-07-31 09:09 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26094: Add class to the "Suggest for purchase" button (1.71 KB, patch)
2020-07-31 15:27 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description hannah.co 2020-07-29 18:12:45 UTC
"Suggest for purchase" has no class for CSS manipulation. The other opac-detail-sidebar.inc buttons each have a class on the link element ("reserve" or "print-large") so they can be hidden or appearance changed using CSS. 

I don't think adding/changing system preferences is necessary, just adding a class to the link in Koha/koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-detail-sidebar.inc (currently on line 37)
Comment 1 Jonathan Druart 2020-07-30 12:42:18 UTC
Created attachment 107583 [details] [review]
Bug 26094: Add class to the "Suggest for purchase" button

Bug 14963 added a new "Suggest for purchase" button on the detail page
of bibliographic records at the OPAC.
This patch adds a specific CSS class to make it reachable easily

Like others button in this action list

Test plan:
Go to the detail page of a bibliographic record at the OPAc
Notice the new CSS class
Comment 2 ByWater Sandboxes 2020-07-31 09:09:18 UTC
Created attachment 107622 [details] [review]
Bug 26094: Add class to the "Suggest for purchase" button

Bug 14963 added a new "Suggest for purchase" button on the detail page
of bibliographic records at the OPAC.
This patch adds a specific CSS class to make it reachable easily

Like others button in this action list

Test plan:
Go to the detail page of a bibliographic record at the OPAc
Notice the new CSS class

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Nick Clemens 2020-07-31 15:27:38 UTC
Created attachment 107649 [details] [review]
Bug 26094: Add class to the "Suggest for purchase" button

Bug 14963 added a new "Suggest for purchase" button on the detail page
of bibliographic records at the OPAC.
This patch adds a specific CSS class to make it reachable easily

Like others button in this action list

Test plan:
Go to the detail page of a bibliographic record at the OPAc
Notice the new CSS class

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-08-03 09:59:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-13 17:32:04 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 21:23:06 UTC
enhancement, not backported to 19.11.x